from . import server, repo, config
from mpm.config import Config
import click
import logging

@click.group()
@click.option("--config", '-c', type=click.Path(readable=True, writable=False,
                                          dir_okay=False))
@click.option("--verbose", "-v", is_flag=True, default=False)
@click.pass_context
def mpm(ctx, config, verbose):
    if verbose:
        logging.basicConfig(level=logging.DEBUG)
    else:
        logging.basicConfig(level=logging.INFO)
    ctx.ensure_object(dict)
    ctx.obj['config'] = Config(config)
    pass

mpm.add_command(config.config)
mpm.add_command(server.server)
mpm.add_command(repo.repo)
